#!/bin/bash

# sync2cd_mounter   Medium mounter for sync2cd
# Copyright (C) 2005  Remy Blank
#
# This file is part of sync2cd.
#
# sync2cd is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# sync2cd is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License
# along with sync2cd; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

descriptorDir=".sync2cd"

if [ $# -lt 2 ] || [ $# -gt 3 ]; then
        echo "Usage: sync2cd_mounter.sh mount_point [device] descriptor"
        exit 1
fi

if [ $# = 2 ]; then
        mountPoint="$1"
        device=""
        descriptor="$2"
else
        mountPoint="$1"
        device="$2"
        descriptor="$3"
fi
descName="$(basename ${descriptor})"
archive="${descriptor/*.}"

while true; do
        eject "${mountPoint}"

        [ "$((${archive}))" = "0" ] && exit 0
        
        echo >&2
        echo "Please insert archive #${archive} and press ENTER" >&2
        echo "Enter 's' to skip this archive or 'a' to abort" >&2
        read answer
        
        [ "${answer}" = "s" ] && exit 1
        [ "${answer}" = "a" ] && exit 2
        
        mount ${device} "${mountPoint}" || exit 2
        [ -f "${mountPoint}/${descriptorDir}/${descName}" ] && break
        
        echo >&2
        echo "This medium doesn't contain archive #${archive}" >&2
done

echo "${mountPoint}"
exit 0
